CREATE procedure [C6MartPeriodico].[PL_D2_S155PatrimonioImmobiliare_20190502_ProQuota] 
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	--select t.descrizione, t.tipologia, t.localita, t.affittoPercepito, t.valore, t.totale
	-- modifica del 05/02/2019 per il ProQuota
	select
		Descrizione,
		Tipologia,
		Localita,
		AffittoPercepito,
		Valore_stimato as Valore,
		sum(Valore_stimato) OVER (PARTITION BY 'Valore_stimato') as Totale,
		sum(AffittoPercepito) OVER (PARTITION BY 'AffittoPercepito') as TotaleAffitto,
		Tipologia_Diritto as TipologiaDiritto,
		ProQuota,
		Valore_Stimato_ProQuota as Valore_ProQuota,
		sum(Valore_Stimato_ProQuota) over (partition by 'Valore_Stimato_ProQuota') as TotaleProQuota
	from C6MARTPERIODICO.PATRIMONIO_IMMOBILIARE_ProQuota
	where Rete = @Rete
		and COD_FISCALE = @CodiceFiscale
		ORDER BY 5 DESC
	-- fine modifica del 05/02/2019 per il ProQuota
	--SELECT 
	--		PATRIMONIO_IMMOBILIARE.DESCRIZIONE AS Descrizione,
	--		PATRIMONIO_IMMOBILIARE.TIPOLOGIA AS Tipologia,
	--		PATRIMONIO_IMMOBILIARE.LOCALITA AS Localita,
	--		isnull(PATRIMONIO_IMMOBILIARE.AFFITTO,0) AS AffittoPercepito,
	--		PATRIMONIO_IMMOBILIARE.valore_stimato AS Valore,
	--		SUM(PATRIMONIO_IMMOBILIARE.VALORE_STIMATO) OVER (PARTITION BY 'Totale') as Totale,
	--		SUM(isnull(PATRIMONIO_IMMOBILIARE.AFFITTO,0)) OVER (PARTITION BY 'TotaleAffitto') as TotaleAffitto
	--FROM C6MARTperiodico.PATRIMONIO_IMMOBILIARE 
	--WHERE PATRIMONIO_IMMOBILIARE.RETE = @Rete
	--	AND PATRIMONIO_IMMOBILIARE.COD_FISCALE = @CodiceFiscale
	--ORDER BY 5 DESC
END